=== debian/changelog ===
libcorkipset (1.1.1+20150311-7) unstable; urgency=medium

  * debian/rules:
    - Fix typo in script.
  * debian/control:
    - Remove Multi-Arch for package libcorkipset-utils
    - Set package libcorkipset-doc as "Multi-Arch: foreign"
      based on wiki: https://wiki.debian.org/MultiArch/Hints
  * debian/copyright:
    - Update copyright year.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 06 Jan 2017 01:19:30 +0900

libcorkipset (1.1.1+20150311-6) unstable; urgency=medium

  * debian/control:
    - Make use of dh_sphinxdoc to calculate the dependency of js library
    - Add Built-Using according to Bug#836248.
  * debian/rules:
    - Make use of dh_sphinxdoc to replace/remove libjs-sphinxdoc js
      libraries.
    - Remove .buildinfo from HTML doc folder

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 22 Nov 2016 00:10:35 +0900

libcorkipset (1.1.1+20150311-5) unstable; urgency=medium

  * debian/control:
    - make use of libjs-jquery and libjs-underscore in Debian archive,
      and remove embedded .js libraries.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 26 Oct 2016 22:15:55 +0900

libcorkipset (1.1.1+20150311-4) unstable; urgency=medium

  * debian/copyright:
    - Update field: Upstream-Contact
  * debian/control:
    - Bump debhelper level to 10 (previous was 9.20160403,
      feature equivalent to 10, so no change required).

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 20 Oct 2016 00:35:09 +0900

libcorkipset (1.1.1+20150311-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 05 Oct 2016 01:30:46 +0900

libcorkipset (1.1.1+20150311-3) unstable; urgency=medium

  * debian/rules:
    - Update build directory when generating manpages,
      from obj-${DEB_HOST_MULTIARCH} to obj-${DEB_TARGET_GNU_TYPE}.
      Fixing FTBFS on *i386 Arch.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 24 Jul 2016 20:28:03 +0900

libcorkipset (1.1.1+20150311-2) unstable; urgency=medium

  * debian/rules:
    - Remove "--builddirectory=build"
  * debian/patches:
    - Update 0001: Include all debian version as library version.
    - Update 0004: Update test of python-cram according to libcork, although
                   there's no cram unit test item now.
    - Add 0009: Support CMake Threads.
    - Add 0010: Fix typo in src/CMakeLists.txt
  * debian/libcorkipset-doc.docs:
    - Add example code as docs
  * debian/control, debian/rules & debian/libcorkipset-utils.install:
    - Add new "-utils" package, to include binary tools.
      manpages are created by help2man tool in debian/rules.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 21 Jul 2016 22:54:25 +0900

libcorkipset (1.1.1+20150311-1) unstable; urgency=medium

  * Initial release (Closes: #827080)

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 21 Jun 2016 18:41:46 +0900
