=== debian/control ===
Source: libcorkipset
Priority: optional
Maintainer: Roger Shimizu <rogershimizu@gmail.com>
Build-Depends:
 check,
 cmake,
 debhelper (>= 10),
 help2man,
 libcork-dev (>= 0.15.0+ds-8),
 pkg-config,
 python3-sphinx
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/redjack/ipset
Vcs-Git: https://github.com/rogers0/libcorkipset.git
Vcs-Browser: https://github.com/rogers0/libcorkipset

Package: libcorkipset-utils
Architecture: any
Depends: libcorkipset1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C library to store sets/maps of IP address (utility files)
 The ipset library provides C data types for storing sets of IP
 addresses, and maps of IP addresses to integers.  It supports both
 IPv4 and IPv6 addresses.  It's implemented using "Binary Decision
 Diagrams" (BDDs, https://en.wikipedia.org/wiki/Binary_decision_diagram),
 which (we hypothesize) makes it space efficient for large sets.
 .
 This package provides a few utility binaries for the library.

Package: libcorkipset-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Suggests: libcorkipset-doc
Depends: libcorkipset1 (= ${binary:Version}), ${misc:Depends}
Description: C library to store sets/maps of IP address (development files)
 The ipset library provides C data types for storing sets of IP
 addresses, and maps of IP addresses to integers.  It supports both
 IPv4 and IPv6 addresses.  It's implemented using "Binary Decision
 Diagrams" (BDDs, https://en.wikipedia.org/wiki/Binary_decision_diagram),
 which (we hypothesize) makes it space efficient for large sets.
 .
 This package provides C header files for the library.

Package: libcorkipset1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library to store sets/maps of IP address
 The ipset library provides C data types for storing sets of IP
 addresses, and maps of IP addresses to integers.  It supports both
 IPv4 and IPv6 addresses.  It's implemented using "Binary Decision
 Diagrams" (BDDs, https://en.wikipedia.org/wiki/Binary_decision_diagram),
 which (we hypothesize) makes it space efficient for large sets.
 .
 This package provides shared library.

Package: libcorkipset-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: C library to store sets/maps of IP address (documentation files)
 The ipset library provides C data types for storing sets of IP
 addresses, and maps of IP addresses to integers.  It supports both
 IPv4 and IPv6 addresses.  It's implemented using "Binary Decision
 Diagrams" (BDDs, https://en.wikipedia.org/wiki/Binary_decision_diagram),
 which (we hypothesize) makes it space efficient for large sets.
 .
 This package provides documentation in HTML for the library.
