=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libcorkipset-$1.tar.gz%" \
   https://github.com/redjack/ipset/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
