=== debian/changelog ===
libcorkipset (1.1.1+git20171111.6842a63-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113131)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Oct 2025 15:57:49 +0200

libcorkipset (1.1.1+git20171111.6842a63-2) unstable; urgency=medium

  * Add debian/gitlab-ci.yml
    - Allow reproducible test fails currently.
  * debian/tests/upstream-test-suite:
    - Ignore the error from dh_auto_configure. This will make
      autopkgtest within pbuilder happy.
    - Remove dh_auto_build from script, and only build tests.
  * debian/tests/control:
    - Install include and library for the test.
  * debian/patches:
    - Add a patch for autopkgtest, or CI pipeline:
        autopkgtest-Use-system-library-to-run-test.patch
      It uses system's include and library, and skip to build local
      library.

 -- Roger Shimizu <rosh@debian.org>  Sun, 29 Aug 2021 20:47:15 +0900

libcorkipset (1.1.1+git20171111.6842a63-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
    - Remove python3-cram from B-D, since it's actually not used.
  * debian/copyright:
    - Add entry for tests/cram.py.
  * debian/rules:
    - Install doc from debian/tmp instead of obj-*, to make
      dh_missing happy.
    - Disable building static library by adding "-DENABLE_STATIC=NO" to
      dh_auto_configure.
  * debian/tests:
    - Disable building static library by adding "-DENABLE_STATIC=NO" to
      dh_auto_configure.
  * debian/upstream/metadata:
    - Remove Homepage entry to make lintian happy.

 -- Roger Shimizu <rosh@debian.org>  Tue, 24 Aug 2021 00:48:52 +0900

libcorkipset (1.1.1+git20171111.6842a63-1~exp2) experimental; urgency=medium

  * debian/tests:
    - Export DEB_VERSION_UPSTREAM, so tests script will run same as
      d/rules.

 -- Roger Shimizu <rosh@debian.org>  Sun, 22 Aug 2021 17:41:34 +0900

libcorkipset (1.1.1+git20171111.6842a63-1~exp1) experimental; urgency=medium

  * New upstream release 1.1.1+git20171111.6842a63
  * debian/watch:
    - Update to pick latest git commit as new version.

 -- Roger Shimizu <rosh@debian.org>  Thu, 28 Jan 2021 02:05:12 +0900

libcorkipset (1.1.1+20150311-11) unstable; urgency=medium

  * debian/rules:
    - Move updating CMakeLists.txt to dh_auto_configure.
  * debian/tests:
    - Update CMakeLists.txt, same as d/rules.

 -- Roger Shimizu <rosh@debian.org>  Mon, 25 Jan 2021 00:17:16 +0900

libcorkipset (1.1.1+20150311-10) unstable; urgency=medium

  * debian/rules:
    - Fix ftbfs due to: https://github.com/libcheck/check/issues/293
      Workaround from: https://bugs.gentoo.org/754345 (Closes: #980593)

 -- Roger Shimizu <rosh@debian.org>  Sun, 24 Jan 2021 01:32:31 +0900

libcorkipset (1.1.1+20150311-9) unstable; urgency=medium

  * debian/control and debian/copyright:
    - Update to use my debian email.
    - Update URL of upstream.
  * debian/control:
    - Move maintenance under bridges team.
    - Bump debhelper version to 12.
    - Bump policy version to 4.5.0 (no change).
    - Add Rules-Requires-Root: no
    - Move Vcs-* to salsa.
  * debian/libcorkipset-doc.doc-base:
    - Move doc path to libcorkipset-dev folder.
  * Add debian/upstream/metadata
  * debian/rules:
    - Add more security hardening: -fPIC for CPPFLAGS and LDFLAGS.
  * debian/libcorkipset1.symbols:
    - Add Build-Depends-Package as requested by lintian.


 -- Roger Shimizu <rosh@debian.org>  Tue, 19 May 2020 23:56:11 +0900

libcorkipset (1.1.1+20150311-8) unstable; urgency=medium

  * Release to unstable.
  * debian/libcorkipset1.symbols:
    - Add symbols file for libcorkipset1.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 24 Oct 2017 00:41:55 +0900

libcorkipset (1.1.1+20150311-8~exp1) experimental; urgency=medium

  * debian/rules:
    - Get version from script, to make lintian happy.
  * debian/tests:
    - Add upstream test suite for autopkgtest.
  * debian/watch:
    - Change filenamemangle to match with the filename in archive.
  * debian/control:
    - Bump up Standards-Version to 4.1.1 (with adding autopkgtest above).

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 17 Oct 2017 02:19:23 +0900

libcorkipset (1.1.1+20150311-7~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 30 Jun 2017 08:06:27 +0900

libcorkipset (1.1.1+20150311-6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 24 Nov 2016 01:12:17 +0900
