=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: libcorkipset
+Section: libs
 Priority: optional
-Maintainer: Roger Shimizu <rogershimizu@gmail.com>
+Maintainer: Debian Bridges Team <team+bridges@tracker.debian.org>
+Uploaders: Roger Shimizu <rosh@debian.org>
 Build-Depends:
  check,
  cmake,
- debhelper (>= 10),
+ debhelper-compat (= 12),
  help2man,
- libcork-dev (>= 0.15.0+ds-8),
+ libcork-dev (>= 1.0.0~),
  pkg-config,
  python3-sphinx
-Standards-Version: 3.9.8
-Section: libs
-Homepage: https://github.com/redjack/ipset
-Vcs-Git: https://github.com/rogers0/libcorkipset.git
-Vcs-Browser: https://github.com/rogers0/libcorkipset
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/dcreager/libcorkipset
+Vcs-Git: https://salsa.debian.org/bridges-team/libcorkipset.git
+Vcs-Browser: https://salsa.debian.org/bridges-team/libcorkipset
 
 Package: libcorkipset-utils
 Architecture: any
