=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# Security Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -fPIC
export DEB_LDFLAGS_MAINT_APPEND = -fPIC

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

# Due to: https://github.com/libcheck/check/issues/293
# Workaround from: https://bugs.gentoo.org/754345
override_dh_auto_configure:
	sed -i s:-Werror:-Wextra: CMakeLists.txt
	dh_auto_configure -- \
		-DENABLE_STATIC=NO

override_dh_install:
	rm -f debian/tmp/usr/share/doc/libcorkipset/html/.buildinfo
	cd obj-$(DEB_TARGET_GNU_TYPE); \
	for bin in ipsetbuild ipsetcat ipsetdot; do \
		help2man -N -n "utility of libcorkipset library" \
			--version-string="$(DEB_VERSION)" -o $$bin.1 src/$$bin; \
	done
	dh_install

override_dh_installdocs:
	dh_installdocs -X.gitignore

%:
	dh $@ --with sphinxdoc
