=== debian/tests/control ===
Tests: upstream-test-suite
Depends: @builddeps@, libcorkipset-dev
Restrictions: allow-stderr
