=== debian/watch ===
version=4
opts="mode=git, pretty=1.1.1+git%cd.%h" \
  https://github.com/dcreager/libcorkipset.git HEAD
